org.apache.uima.resource.metadata.impl

## Class ResourceManagerConfiguration_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.ResourceManagerConfiguration_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, ResourceManagerConfiguration, XMLizable

      public class ResourceManagerConfiguration_impl
      extends MetaDataObject_impl
      implements ResourceManagerConfiguration

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceManagerConfiguration_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExternalResource(ExternalResourceDescription aExternalResourceDescription)` Adds a External Resource to this configuration
    `void` | `addExternalResourceBinding(ExternalResourceBinding aExternalResourceBinding)` Adds a External ResourceBinding to this configuration
    `String` | `getDescription()` Gets the description of this Resource Manager Configuration.
    `ExternalResourceBinding[]` | `getExternalResourceBindings()` Gets the bindings between an Analysis Engine's `ExternalResourceDependencies` and the `ExternalResourceDescription` objects defined in this configuration.
    `ExternalResourceDescription[]` | `getExternalResources()` Gets the descriptions of the external resources to be instantiated and managed by the resource manager.
    `Import` | `getImport()` Deprecated. `ResourceManagerConfiguration.getImport()`
    `Import[]` | `getImports()` Gets the imports declared by this Resource Manager Configuration.
    `String` | `getName()` Gets the name of this Resource Manager Configuration.
    `String` | `getVendor()` Gets the vendor of this Resource Manager Configuration.
    `String` | `getVersion()` Gets the version number of this Resource Manager Configuration.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `removeExternalResource(ExternalResourceDescription aExternalResourceDescription)` Removes an ExternalResource from this configuration.
    `void` | `removeExternalResourceBinding(ExternalResourceBinding aExternalResourceBinding)` Removes an ExternalResourceBinding from this configuration.
    `void` | `resolveImports()` Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.
    `void` | `resolveImports(Collection<String> aAlreadyImportedURLs, ResourceManager aResourceManager)` Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.
    `void` | `resolveImports(ResourceManager aResourceManager)` Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.
    `void` | `setDescription(String aDescription)` Sets the description of this Resource Manager Configuration.
    `void` | `setExternalResourceBindings(ExternalResourceBinding[] aBindings)` Sets the bindings between an Analysis Engine's `ExternalResourceDependencies` and the `ExternalResourceDescription` objects defined in this configuration.
    `void` | `setExternalResources(ExternalResourceDescription[] aDescriptions)` Sets the descriptions of the external resources to be instantiated and managed by the resource manager.
    `void` | `setImport(Import aImport)` Deprecated. `ResourceManagerConfiguration.setImport(Import)`
    `void` | `setImports(Import[] aImports)` Sets the imports declared by this Resource Manager Configuration.
    `void` | `setName(String aName)` Sets the name of this Resource Manager Configuration.
    `void` | `setVendor(String aVendor)` Sets the vendor of this Resource Manager Configuration.
    `void` | `setVersion(String aVersion)` Sets the version number of this Resource Manager Configuration.
    `protected void` | `writePropertyAsElement(PropertyXmlInfo aPropInfo, String aNamespace)` Utility method used to write a property out as an XML element.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ResourceManagerConfiguration_impl

          public ResourceManagerConfiguration_impl()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the name of this Resource Manager Configuration.
      Specified by:
        `getName` in interface `ResourceManagerConfiguration`
      Returns:
        the name of this Resource Manager Configuration, null if none has been specified.
      See Also:
        `ResourceManagerConfiguration.getName()`

    - #### setName

          public void setName(String aName)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the name of this Resource Manager Configuration.
      Specified by:
        `setName` in interface `ResourceManagerConfiguration`
      Parameters:
        `aName` - the name of this Resource Manager Configuration
      See Also:
        `ResourceManagerConfiguration.setName(String)`

    - #### getVersion

          public String getVersion()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the version number of this Resource Manager Configuration.
      Specified by:
        `getVersion` in interface `ResourceManagerConfiguration`
      Returns:
        the version number of this Resource Manager Configuration, as a String, null if none has been specified.
      See Also:
        `ResourceManagerConfiguration.getVersion()`

    - #### setVersion

          public void setVersion(String aVersion)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the version number of this Resource Manager Configuration.
      Specified by:
        `setVersion` in interface `ResourceManagerConfiguration`
      Parameters:
        `aVersion` - the version number of this Resource Manager Configuration, as a String
      See Also:
        `ResourceManagerConfiguration.setVersion(String)`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the description of this Resource Manager Configuration.
      Specified by:
        `getDescription` in interface `ResourceManagerConfiguration`
      Returns:
        the description of this Resource Manager Configuration, null if none has been specified.
      See Also:
        `ResourceManagerConfiguration.getDescription()`

    - #### setDescription

          public void setDescription(String aDescription)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the description of this Resource Manager Configuration.
      Specified by:
        `setDescription` in interface `ResourceManagerConfiguration`
      Parameters:
        `aDescription` - the description of this Resource Manager Configuration
      See Also:
        `ResourceManagerConfiguration.setDescription(String)`

    - #### getVendor

          public String getVendor()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the vendor of this Resource Manager Configuration.
      Specified by:
        `getVendor` in interface `ResourceManagerConfiguration`
      Returns:
        the vendor of this Resource Manager Configuration, as a String
      See Also:
        `ResourceManagerConfiguration.getVendor()`

    - #### setVendor

          public void setVendor(String aVendor)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the vendor of this Resource Manager Configuration.
      Specified by:
        `setVendor` in interface `ResourceManagerConfiguration`
      Parameters:
        `aVendor` - the vendor of this Resource Manager Configuration, as a String, null if none has been specified.
      See Also:
        `ResourceManagerConfiguration.setVendor(String)`

    - #### getImports

          public Import[] getImports()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the imports declared by this Resource Manager Configuration.
      Specified by:
        `getImports` in interface `ResourceManagerConfiguration`
      Returns:
        an array of imports declared by this Resource Manager Configuration.

    - #### setImports

          public void setImports(Import[] aImports)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the imports declared by this Resource Manager Configuration.
      Specified by:
        `setImports` in interface `ResourceManagerConfiguration`
      Parameters:
        `aImports` - an array of imports declared by this Resource Manager Configuration.

    - #### getExternalResources

          public ExternalResourceDescription[] getExternalResources()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the descriptions of the external resources to be instantiated and managed by the resource manager.
      Specified by:
        `getExternalResources` in interface `ResourceManagerConfiguration`
      Returns:
        an array of `ExternalResourceDescription` objects that describe the external resources.

    - #### setExternalResources

          public void setExternalResources(ExternalResourceDescription[] aDescriptions)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the descriptions of the external resources to be instantiated and managed by the resource manager.
      Specified by:
        `setExternalResources` in interface `ResourceManagerConfiguration`
      Parameters:
        `aDescriptions` - an array of `ExternalResourceDescription` objects that describe the external resources.

    - #### getExternalResourceBindings

          public ExternalResourceBinding[] getExternalResourceBindings()

      Description copied from interface: `ResourceManagerConfiguration`
      Gets the bindings between an Analysis Engine's `ExternalResourceDependencies` and the `ExternalResourceDescription` objects defined in this configuration.
      Specified by:
        `getExternalResourceBindings` in interface `ResourceManagerConfiguration`
      Returns:
        an array of `ExternalResourceBinding` objects that bind dependencies to resources.

    - #### setExternalResourceBindings

          public void setExternalResourceBindings(ExternalResourceBinding[] aBindings)

      Description copied from interface: `ResourceManagerConfiguration`
      Sets the bindings between an Analysis Engine's `ExternalResourceDependencies` and the `ExternalResourceDescription` objects defined in this configuration.
      Specified by:
        `setExternalResourceBindings` in interface `ResourceManagerConfiguration`
      Parameters:
        `aBindings` - an array of `ExternalResourceBinding` objects that bind dependencies to resources.

    - #### addExternalResource

          public void addExternalResource(ExternalResourceDescription aExternalResourceDescription)

      Description copied from interface: `ResourceManagerConfiguration`
      Adds a External Resource to this configuration
      Specified by:
        `addExternalResource` in interface `ResourceManagerConfiguration`
      Parameters:
        `aExternalResourceDescription` - the ExternalResourceDescription to add

    - #### addExternalResourceBinding

          public void addExternalResourceBinding(ExternalResourceBinding aExternalResourceBinding)

      Description copied from interface: `ResourceManagerConfiguration`
      Adds a External ResourceBinding to this configuration
      Specified by:
        `addExternalResourceBinding` in interface `ResourceManagerConfiguration`
      Parameters:
        `aExternalResourceBinding` - the ExternalResourceBinding to add

    - #### removeExternalResource

          public void removeExternalResource(ExternalResourceDescription aExternalResourceDescription)

      Description copied from interface: `ResourceManagerConfiguration`
      Removes an ExternalResource from this configuration.
      Specified by:
        `removeExternalResource` in interface `ResourceManagerConfiguration`
      Parameters:
        `aExternalResourceDescription` - the ExternalResourceDescription to remove (must be == with an ExternalResourceDescription in this collection, or this method will do nothing).

    - #### removeExternalResourceBinding

          public void removeExternalResourceBinding(ExternalResourceBinding aExternalResourceBinding)

      Description copied from interface: `ResourceManagerConfiguration`
      Removes an ExternalResourceBinding from this configuration.
      Specified by:
        `removeExternalResourceBinding` in interface `ResourceManagerConfiguration`
      Parameters:
        `aExternalResourceBinding` - the ExternalResourceBinding to remove (must be == with an ExternalResourceBinding in this collection, or this method will do nothing).

    - #### getImport

          @Deprecated
          public Import getImport()

      Deprecated. `ResourceManagerConfiguration.getImport()`
      Description copied from interface: `ResourceManagerConfiguration`
      Gets the import declared by this Resource Manager Configuration, if any.
      Specified by:
        `getImport` in interface `ResourceManagerConfiguration`
      Returns:
        an object that defines how to locate an external XML file defining the resource manager configuration. Returns null if there is no import.

    - #### setImport

          @Deprecated
          public void setImport(Import aImport)

      Deprecated. `ResourceManagerConfiguration.setImport(Import)`
      Description copied from interface: `ResourceManagerConfiguration`
      Sets the import declared by this Resource Manager Configuration, if any.
      Specified by:
        `setImport` in interface `ResourceManagerConfiguration`
      Parameters:
        `aImport` - an object that defines how to locate an external XML file defining the resource manager configuration. Null indicates that there is no import.

    - #### resolveImports

          public void resolveImports()
                              throws InvalidXMLException

      Description copied from interface: `ResourceManagerConfiguration`
      Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.
      Specified by:
        `resolveImports` in interface `ResourceManagerConfiguration`
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### resolveImports

          public void resolveImports(ResourceManager aResourceManager)
                              throws InvalidXMLException

      Description copied from interface: `ResourceManagerConfiguration`
      Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.
      Specified by:
        `resolveImports` in interface `ResourceManagerConfiguration`
      Parameters:
        `aResourceManager` - the Resource Manager used to locate the XML file imported by name. For example, the path in which to locate the imported files can be set via the `ResourceManager.setDataPath(String)` method.
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### resolveImports

          public void resolveImports(Collection<String> aAlreadyImportedURLs,
                                     ResourceManager aResourceManager)
                              throws InvalidXMLException

      Description copied from interface: `ResourceManagerConfiguration`
      Resolves any import declarations in this resource manager configuration, adding the imported external resources and external resource bindings directly onto this ResourceManagerConfiguration's `externalResources` and `externalResourceBindings` lists.

      This version is used internally to resolve nested imports.

      Specified by:
        `resolveImports` in interface `ResourceManagerConfiguration`
      Parameters:
        `aAlreadyImportedURLs` - names of already imported URLs, so we don't import them again.
        `aResourceManager` - the Resource Manager used to locate the XML file imported by name. For example, the path in which to locate the imported files can be set via the `ResourceManager.setDataPath(String)` method.
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### writePropertyAsElement

          protected void writePropertyAsElement(PropertyXmlInfo aPropInfo,
                                                String aNamespace)
                                         throws SAXException

      Description copied from class: `MetaDataObject_impl`
      Utility method used to write a property out as an XML element.
      Overrides:
        `writePropertyAsElement` in class `MetaDataObject_impl`
      Parameters:
        `aPropInfo` - information on how to represent the property in XML
        `aNamespace` - XML namespace URI for this object representation
      Throws:
        `SAXException` - -

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.